# Class: pe_postgresql::pe
#
# This module manages pe_postgresql
#
# Parameters: none
#
# Actions:
#
# Requires: see Modulefile
#
# Sample Usage:
#
class pe_postgresql::pe(
  $version = '9.2',
  $config_hash = {}
) {

  class { 'pe_postgresql':
    client_package_name => 'pe-postgresql',
    server_package_name => 'pe-postgresql-server',
    devel_package_name  => 'pe-postgresql-devel',
    java_package_name   => 'pe-postgresql-jdbc',
    datadir             => "/opt/puppet/var/lib/pgsql/${version}/data",
    confdir             => "/opt/puppet/var/lib/pgsql/${version}/data",
    bindir              => '/opt/puppet/bin',
    service_name        => 'pe-postgresql',
    user                => 'pe-postgres',
    group               => 'pe-postgres',
    locale              => 'en_US.UTF8',
    charset             => 'UTF8',
    run_initdb          => true,
    version             => $version
  } ->
  class { 'pe_postgresql::server':
    config_hash    => $config_hash,
    service_status => 'service pe-postgresql status',
  }
  contain("pe_postgresql")
  contain("pe_postgresql::server")
}
